Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Azure Secrets Management APIs

Viewing Synchronization Status

search

Viewing Synchronization Status

Use the get /v1/cckm/azure/secrets/synchronization-jobs API to view the list of updated synchronization status. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/azure/secrets/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN'  -H 'accept: application/json' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Request Query Parameters

Parameter Type Description
id string Internal id of the synchronization.
overall_status string Overall status of the synchronization. Possible values are in_progress, completed, and failed.
key_vaults array of strings ID of the vault where the secret is created.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/secrets/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxYzU1ZWY0Yi01MThjLTQ5ZmMtODRmMy1mYjk4MGY4YTQ3ODQiLCJzdWIiOiJsb2NhbHwyZjBmZWViNC02MjkwLTQ4ZWQtYmU1Yy0wYmU4NTVkMzE4NzMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiODU3ZDEyYjItNjljZi00OWY1LThkYjktMjI0NWMwODNiODg5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg1NTRhOWJhLTE1OTgtNDE0OC04YWMwLWYwZWJkNjJlMThmOSIsImlhdCI6MTY0Mzg2MzI1MywiZXhwIjoxNjQzODYzNTUzfQ.F6D3QgJLvFY0UyltBn6TfmiET-kExTl7RcvsmYzg550' -H 'accept: application/json' --compressed

Example Response

{
    "application/json": {
        "skip": 0,
        "limit": 10,
        "total": 2,
        "resources": [
            {
                "id": "1f413972-499e-498c-9543-77c2da7d71e4",
                "uri": "kylo:kylo:cckm:synchronize:1f413972-499e-498c-9543-77c2da7d71e4",
                "account": "kylo:kylo:admin:accounts:kylo",
                "application": "ncryptify:gemalto:admin:apps:kylo",
                "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
                "createdAt": "2022-05-12T07:00:52.032722Z",
                "updatedAt": "2022-05-12T07:01:17.698896Z",
                "completed_at": "2022-05-12T07:01:17.698624Z",
                "overall_status": "failed",
                "detailed_status": {
                    "northcentralus/CCKM-Soft-Delete::260ecbe7-777b-4d3c-84ea-887620498863": "vault synchronized successfully",
                    "northcentralus/pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863": "vault synchronized successfully"
                },
                "cloud": "AzureCloud",
                "key_vaults": [
                    "pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863",
                    "CCKM-Soft-Delete::260ecbe7-777b-4d3c-84ea-887620498863"
                ],
                "abort": false,
                "sync_item": "azure-secret"
            },
            {
                "id": "a2efb173-1f45-4a85-9733-5c52e523c93d",
                "uri": "kylo:kylo:cckm:synchronize:a2efb173-1f45-4a85-9733-5c52e523c93d",
                "account": "kylo:kylo:admin:accounts:kylo",
                "application": "ncryptify:gemalto:admin:apps:kylo",
                "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
                "createdAt": "2022-05-12T06:58:10.133679Z",
                "updatedAt": "2022-05-12T06:58:29.55173Z",
                "completed_at": "2022-05-12T06:58:29.546843Z",
                "overall_status": "failed",
                "detailed_status": {
                    "northcentralus/pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863": "vault synchronized successfully"
                },
                "cloud": "AzureCloud",
                "key_vaults": [
                    "pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863"
                ],
                "abort": false,
                "sync_item": "azure-secret"
            }
        ]
    }
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.